<script>
import {MasterMethods} from "@/Store/Functions.js";
import {Link} from "@inertiajs/vue3";

export default {
    name: "ItemFile",
    props: ["item"],
    methods: {
        ...MasterMethods
    },
    data() {
        return {

        }
    }, components:{Link}
}
</script>

<template>
    <tr class="text-xs" v-if="!item?.folder" >
        <td class="py-1">{{ splitNameAndExtension(item.name).name }}</td>
        <td class="py-1 text-end">{{ formatBytes(item.size) }}</td>
        <td class="py-1 text-end">{{ splitNameAndExtension(item.name).extension }}</td>
        <td class="py-1 text-end">
            <Link v-if="$page.props.auth.user.role_id > 0" :href="route('download.vip')" method="post" as="button" :data="{size:item.size,name:item?.name, hash:item?.hash}" :headers="{ 'X-Cloud-Signature': item?.graph }"><span class="fa fa-download text-green-500"></span></Link>
        </td>
    </tr>
</template>

<style scoped>

</style>
